Subject: Re: merging initial part of a branch?

From: Andreas Ericsson <[email-masked]>
Date: Thu, 12 Jan 2006 01:59:32 +0100

Junio C Hamano wrote:
> Andreas Ericsson <[email-masked]> writes:
> 
> 
>>Junio C Hamano wrote:
>>
>>
>>>I haven't tried this for some time, but I presume
>>>	$ git pull linus tag v2.6.15
>>>would do what you want.
>>
>>If it doesn't you might be able to do
>>
>>$ git format-patch -m -k v2.6.14..v2.6.15 --stdout > mega-mbox-patch
>>$ git checkout our-own-branch
>>$ git am -3 -k mega-mbox-patch
>>
>>That'll take some time though, so be sure to have a six-pack or two handy.
> 
> 
> I do not think that should be done.  You will create an
> alternate history that way, not the true v2.6.15 history.
> 

I took their request to mean that they already have patches of their own 
in that, so they'll never have v2.6.15 vanilla history anyway.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231